Introduction

Alteros 3D is a universal file viewer with customizable interface. The program allows viewing any 3D files (3DS, MAX, VRML, TrueSpace, LightWave and many other formats), as well as 2D graphical files (PSD, TIFF, PNG, JPEG, BMP, GIF and many others). Build in text editor allows viewing and editing TXT and RTF files.

Alteros can also display HTML files and other documents via OLE interface (requires installed Internet Explorer).

Program interface can be easily set up with the help of the skins. Besides, Alteros has its own desktop files format- ADESK. Using ADESK files you can create graphical interfaces with the program start up commands, files and directories display. ADESK files can be used as Alteros start up interface, as well as user's CDROM interface, if Alteros is used as Autorun shell for CD.

Alteros allows you to open any number of documents simultaneously. Convenient files manager is used in order to switch between the documents designed in Windows Taskbar style.


Features

1) 3D graphic viewer:

- Display of 3D files: 3dm, 3dmf, 3ds (3D Studio), asc, ase, c4d, cob, dwg (dwg2000 is not supported), dxb, dxf, geo, iv, lif, lvs, lw, lwo, max (3D Studio MAX, limited support), md2, md3, mdl, mts, ndo, obj, objf, off, peo, prj, pro, rax, scn, spx, stl, tim, wrl, x, xsi.

- Copying of 3D image rendering result into the clipboard (with antialiasing).

- Rotation and scaling of 3D objects.

- Alterations of lighting, transparency, material type and display mode of 3D objects, as well as many other settings for 3D scenes.

- Open GL or software render API.

2) Graphic viewer:

- Display of 2D graphical files: bmp, btn*, dib, emf, gif, ico, jif, jpe, jpeg, jpg, pcx, rle, tga, wmf, psd, tiff, png, ppm, cel, iff, rgb, fli,flc (only first frame), pic, tim.

- Saving files as BMP and JPEG formats.

- Zoom in and zoom out modes, screen floating (using only mouse without scrolling down and buttons).

- Installation of any images as Desktop Wallpaper.

- Image copying into clipboard.

- Slideshow mode.

- Graphical effects (flip, invert, RGB-transitions, Hue-Saturation-Lightness,Brightness-Contrast).

- Resize function for graphical files.

- Crop function for graphical files.

- Fullscreen mode.

3) Text editor:

- Display and edit of text files: txt, rtf. All unrecognised types of files are opened with text editor.

4) HTML browser:

- Browser for viewing HTML files (Requires installed Internet Explorer). Browser also allows viewing any other OLE-documents. Example: MS Word or MS Excel files. This option requires relevant programs to be installed at PC.

5) File manager:

- File manager. Constantly present on the screen and allows opening, sorting files and can perform all major file commands (delete, rename, copy, move).

- Command input string allow to enter file names, directory, http:// address and any other internal command for Alteros.

6) Customization (skins, desktops, CDROM interfaces)

- Alteros Skin format allows not only to change the external interface of any standard program element, but also to add new, selected by the user, buttons to any toolbar of the program.

- ADESK file format allows creating desktop, which can be adjusted by the user. User can create the panel of any size in the active screen of Alteros, add to it graphical or text buttons, as well as any amount of decorative images. The program contains a wide selection of internal commands, which can be assigned to any interface button.

- Autostart option allows to make any file (including ADESK) to be automatically launched at program's start up.

- Creating the autostart interfaces for CDROMs.


Interface

Program window is divided into 2 parts. On the left there is a view area. On the right there is a file browser. Depending on the type of opened document, in the upper part of view area there are relevant menu and toolbars. Under toolbars the name of the opened file is shown.

In the bottom part of the screen there is a document switch panel (taskbar). All opened documents are displayed in this panel. Emerging menu of document switch panel allows us to close or save the selected document.

You can also switch between the opened documents with the cursor key "left" and "right".

The command "New View" located in the file browser menu, serves for creation of new empty view panel, where all following files will be opened.

Dragging the top panel can move program window.

Dragging the right bottom corner of the program window can scale the program window.

While dragging the file from any other program into the view area of Alteros that file is being opened in Alteros.

While dragging the file from any other program into Alteros file browser that file is being copied into current directory of Alteros.

All interface elements are activated with the help of skin-files. Skin's author can add into interface any new buttons, attaching to them internal program commands.

Every skin is located in its own subdirectory of skins directory.


File Browser

The file can be viewed by opening it with the 1 left clicking the mouse on the name of that file in the file browser. You can also use the keys “up” and “down” or View command from right-click menu in order to open a file.

When the new document is open it substitutes the previous one in the view zone. Though you can open it in the new panel without closing the previous document. New View command serves for this in the emerging menu of file browser.

By default right clicking the mouse in the empty area of the file browser will take you one level up in the directory tree. If you do not want to use the right button this way, please use the following: Options > FileBrowser > RightClick, and set it to “Classic Style (One Click)”. There are also third method - “Classic Style (Double Click)”. This method will works like in "old" Windows3.1 or '95 file managers: folders will be opened only by double click.

By default the file browser shows the document group icons in “Alteros style". You can change these icons into standard file icons (“Classic style”) doing this: Options > FileBrowser > File Icons.

“Alteros” display style presumes that all files are divided into 7 groups:

-ADESK desktops

- 3D files

-image files

-HTML and OLE-documents

-text files

-exe. files

-All other programs (unknown to Alteros)

Accordingly to these file groups they are displayed in the browser using 7 icon types. By default these icons differ by its colour, though skin's authors can use any other icons.

In the bottom part of file browser there is quick filter buttons. They have the look of relevant file groups icons. “All files” icon takes back filter combination into initial position.

Near the filter buttons there is a drop down list of file sorting types, and change of distribution direction button.

On the right from filter buttons there is a browser mode shift button: standard view / detailed file information view (position and view of this button may be different in different skins).

Drop down menu of the file browser allows to sort, copy, move, delete, rename files, and even to open them in associated programs (Open command).

Menu item “Add Current folder to Favourites” will add the current directory into list of Favourites.

In the top part of the browser there are usually the following buttons: Close, Min, Max, Main Menu and command string field.

We have mentioned “usually” because the positioning of major elements is completely down to a skin's author. So, in principal, the above mentioned buttons can be located in any other place of the program window.

As usual the current directory of the file browser is shown after the command field. Thought in this field you can enter any internal command for Alteros (please refer to the list of internal commands), or enter the file name (directory) or http://www&ldots; address. The document will be immediately open in the active screen of the program.

MainMenu button will open the main menu of the program that contains the following sections:

-Submenu New with the following items: Text document, Desktop, Image from clipboard, New panel, Create folder. These commands are there to create new documents in the active screen of Alteros. Image from Clipboard command is only available when the clipboard contains graphical image.

-Top level - takes you to the top level of file browser.

-Drives icons – selection of the relevant drive.

-Skins submenu – selection of a skin

-Help Submenu - opens help window, About window, Registration window, link to web site of the program.

-Options - opens settings window.

At the top level of file browser in addition to the drive icons there are icons for quick jump to the folders Desktop, Programs, My Documents, Control Panel, Internet Favorites. Besides, at the same place there are icons for History and Favourites Folders.

Favourites Folders – is the list of your selected directories. You can edit the items of the list with the help of emerging menu.

History – is the source of all opened documents from the time the program was launches. Besides the History list contains 10 last accessed documents from your previous work session with Alteros. You can also use the back/forward/home/closefile buttons to go through the history list of Alteros without accessing to History in the file browser. But these buttons can be disabled or enabled in different skins.

The last feature of the browser's top level is that you can add there any links to the files. You can create shortcuts in the subdirectory../alteros/shortcuts (use the Drag&Drop in TopLevel list) and all icons from this subdirectory will be displayed in the top level of file browser.


Image viewer

In the standard mode the left button of the mouse is used for image dragging. The right button is used to scale the image. If you use select mode, the left button will be used for selection. Right button in this case is not used.

Double click allows to open the image in fullscreen mode. Double click on fullscreen image or pressing of ESC button allows to return in normal state.

File menu contains the following commands:

Open - open files via standard Windows dialog box.

Save As - saves image as BMP or JPG file.

Slideshow - starts and finishes slideshow. All images from the current directory are being displayed.

Wallpaper - sets the current image as wallpaper for Windows.

Print - prints the current image.

Autostart - makes the current document to be automatically launched at the program start up.

Options – opens Options window.

Edit menu contains the following commands:

Copy – copies the image or selection into the clipboard.

Paste - inserts image from the clipboard.

Crop - cuts the selection of the image.

Image menu contains the following commands:

Zoom In, Zoom Out, Fit to window, Original Size – image scaling commands.

Invert - inverts the image.

Convert to Grayscale – convert image in grayscale format.

Color Adjustment – Hue-Saturation-Lightness, Brightness-Contrast and RGB Chanels settings.

Resize/Resamle - change size of the image.

Red/Blue, Blue/Green, Green/Red - substitutes the relevant colour pairs in the image.

Flip Horizontal, Flip Vertical, Rotate Right, Rotate Left - flips and rotates the image in the relevant direction.

"Selector" and "Rectangular Marquee" buttons change cursor mode for the image. Selector allows to drag the image (left mouse button) or to scale the image (right mouse button). Rectangular Marquee allows selecting fragments of the image.

"Fit to Window" button includes image automatic scaling mode set in a way that all open images will fit the screen.

"Slideshow" button can switch on (switch off) slideshow mode.


3D viewer

Left mouse button is used for rotating 3D objects. The right one is used for scaling of the objects.

File Menu contains the following commands:

Open - opens files via standard Windows dialog box.

Autostart - makes the current document to be automatically launched at the program start up.

Options – opens Options window.

Edit menu contains the following command:

Copy 2D Image – copy 2D image into clipboard;

Copy 2D Image with Antialliasing – copy 2D image into clipboard with antialliasing;

Switch Rotate\Pan - swith the left mouse button function: rotate or move object.

Image menu contains some commands, tools and settings to display 3D object on screen.


Text Editor

Text Editor allows viewing and editing TXT and RTF files.

Tool bar and text editor menu contains all standard commands for this type of editors and allows to edit, format and save text in txt. and RTF formats.

File menu has an option “Autostart” that allows to set the current document as an Autostart document for Alteros.

To create a new text document use the "Main Menu > New... > Text Document " command.


HTML Browser

Tool bar contains standard browser icons: Back, Forward, Stop, Refresh, Home, as well as “Edit” icon. “Edit” button switches the open document into text editor mode. Here you can edit HTML code. Text editor also has a back button that takes us to HTML view mode.

HTML Browser displays all HTML documents and any OLE documents if the appropriate programs are installed. You can add any type of OLE documents to "yellow" filter group (right click on filter icon) to display this type of documents in the Alteros window. By default the "yellow" group contains MS Office documents (Word, Excel), Adobe Acrobat PDF, Macromedia Flash SWF.


ADESK files

Alteros desktops (ADESK files) serves for building the interfaces in the program view zone. Desktop consists of panel for elements and elements themselves (there are 4 types of them):

- Graphical Button,

- Text Button,

- Image,

- Text Box.

Relocation of desktop elements can be dome by dragging them and pressing "Ctrl" key at the same time.

Alteros toolbar in the desktop mode contains File menu with the following commands:

New - creates new ADESK file.

Open - opens ADESK file.

Save - saves ADESK file.

Lock Desktop - locks desktop changes (dragging the elements and floating menu).

Autostart - makes the current document to be automatically launched at the program start up.

Options – opens Options window.

Floating menu for desktop elements contains the following commands:

New - creates new element (button, text link, picture).

Copy - copies the element.

Paste - inserts element.

Delete - deletes element.

Send to Back - sends element to the back.

Bring to Front - brings element on the top of all other elements.

Properties&ldots; - opens the properties window of current element.

Desktop can have different sizes or can occupy the whole view zone of Alteros. Besides, desktop panel can be centred in the view zone of Alteros or can be left and right aligned. Align buttons in the desktop properties window are responsible for distribution and aligning. .

Desktop panel can have a background image. It can be centred, tiled or extended all over the desktop.

Graphical buttons have 3 display modes: standard, highlighted, pressed.

In order to use all 3 modes in your desktop it is necessary to prepare BMP file with 3 images horizontally situated one after the other. Then you have to rename the extension of that file to BTN3. The same you can do in order to prepare button with 2 modes (BTN2 extension) and one mode (BTN1 extension or BMP).

When using in the button simple BMP file only one image is displayed.

Text buttons have only 2 modes: standard and highlighted. These modes differ only by text colour.

To create a new ADESK file use the "Main Menu > New... > Alteros Desktop " command.


CDROM autorun interfaces

Alteros may be used as autorun interface for custom CDROMs.
Step by step instruction to prepare autorun interface for CDROM:

- Duplicate Alteros folder with all files in any other folder. Do not forget: the program must be registered!

- Prepare and test all ADESK files for your future CDROM interface.

- Set your ADESK file as autostart file in Options/General/Autostart file.

- Create or modify a skin for your CDROM interface.

You can hide any or even all panels (see Skins) except panel with default ADESK file to create an skin without any Alteros standard panels or without file browser. Example of interface without filebrowser is available on http://www.lighttek.com/skins/.

- Use Options/General/Advanced options (or edit settings.ini file) to set the sizes and position of Alteros window when program will start from CD.

- Set the Window Position in Options/General/Advanced .

- Also you need to set the “Locked Interface” checkbox (Options window -> Skin Exras tab) in “Checked” position. This option disables all savings (position, dimensions, colors, skins and etc.) when copy Alteros works from CD. We recommend to set this option when you prepare the skin and desktop (ADESK). In this case you can control the position and width/height of Alteros window on the testing stage.

- Copy Alteros folder to your CDROM. (Do not forget: the program must be registered!)

Add such strings in your autorun.inf file (file must be stored in the root of CD):

[autorun]
open=<Alteros folder path>\alteros.exe
where <Alteros folder path> is a name of your Alteros folder on CD.

For example:

[autorun]
open=run\alteros.exe

Examples of interfaces are available on http://www.lighttek.com/alteros/.


Skins

Creating skins

The program uses a customizable interfaces ("skins"). Besides a change of any standard element outlook "Skins" Alteros also lets the user add new command buttons to the interface.

Every "skin" consists of a set of BMP files and such files as skin.ini and buttons.ini.

All the necessary files for one "skin" should be in its own folder in the subfolder &ldots;/skins/<skinname>/.

The name of the folder should match the "skin" name.

Main panels

The graphical interface Alteros consists of the following customizable 9 panels:

p_top
p_left
p_right
p_bottom
p_niz
p_vertical
p_main
p_folder
p_subtop

Every panel needs three BMP files. The filenames are made by means of omitting the symbol "p_" from the bar name and adding such symbols as "_tile", "_1", "_2".

Here is the list of all files for certain panels:

p_top: top_1.bmp, top_2.bmp, top_tile.bmp

p_left: left_1.bmp, left_2.bmp, left_tile.bmp

p_right: right_1.bmp, right_2.bmp, right_tile.bmp

p_bottom: bottom_1.bmp, bottom_2.bmp, bottom _ tile.bmp

p_niz: niz_1.bmp, niz_2.bmp, niz_tile.bmp

p_vertical: vertical_1.bmp, vertical_2.bmp, vertical_tile.bmp

p_main: main_1.bmp, main_2.bmp, main_tile.bmp

p_folder: p_folder_1.bmp, p_folder _2.bmp, p_folder _tile.bmp

p_subtop: subtop_1.bmp, subtop_2.bmp, subtop_tile.bmp

The files containing symbols "_1" and "_2" are left and right parts of horizontal panels or upper and lower parts of vertical panels. The file with symbol "_tile" changes the panel tiling. Besides, the height (width) of the image containing the symbol "_tile" sets the height (width) of the corresponding horizontal (vertical) panel.

The horizontal panels are: p_top, p_bottom, p_niz, p_main, p_folder, p_subtop.

The vertical panels are: p_left, p_right, p_vertical.

If on booting the "skin" fails to find one of the three graphical files of the panel then this picture wouldn't draw. Thus you might be careless as far as the files with symbols "_1" and "_2" are concerned but take great care that the file with symbol "_tile" is present for every panel.

Color settings for p_filename (panel color):

[panels]
&ldots;
namepanelcolor=0
&ldots;

Buttons

Along with a set of obligatory buttons Alteros has some additional, set by the skin's author, buttons.

Such buttons, as Min, Max, Close and fast filter buttons are obligatory. But in contrast with the "toolbar buttons" they can be set according to the common Alteros procedure.

Here's the mechanism of setting the buttons:

The file buttons.ini contains a row of sections (they are set by the name in [ ] brackets). Each section describes one button. The name of the button is a word in [ ] brackets. Further go the properties of the button.

Here's an example of setting the Maximize button:

[b_max]
top=0
right=0
parent=p_main
bitmap=b_max.bmp
command=max
hint=maximize
visible=true

Such values as top and right are the coordinates of the upper left corner of the button on the parental panel. It's possible to use such parameters as bottom= and left= instead of top= and right=. In this case the coordinates of the button will begin from the corresponding edges of the parental panel.

The parameter parent= may set the parental panel upon which the button is placed. You can use this parameter along with any panel name (p_top, p _left, p_right, p_bottom, p_niz,p_vertical, p_subtop, p_main). The parameter bitmap= sets the button's image filename. The file should include all the 3 phases of the button drawn one after another in horizontal. The file extension may be .BMP or .BTN3 (a common renamed BMP file).

The command of the button is set in the parameter command=. It can be either a filename (a folder name), or http://www &ldots; address, or one of the internal Alteros commands. The parameter hint= sets the button's hint. The parameter visible=true(false, red, blue, green, yellow, text) sets the button's visible in False (True). If visible=(red,blue,green,yellow,text) then this button will be visible only in the appropriate mode. The parameter caption= sets the button's text label.

Thus, the buttons Min, Max, Close can be set in the file buttons.ini in the corresponding sections: [b_min], [b_max], [b_close].

The buttons of fast filters are also obligatory. They are always placed on the panel p_bottom and only the first button's coordinates may be changed ("Alteros desktops"). A line of other buttons automatically follows the first button. There are 7 BMP files of buttons with 3 phases in each used in fast filters: red.bmp, green.bmp, blue.bmp, yellow.bmp, text.bmp, exe.bmp, all.bmp. The sorting criteria menu is placed after the filters' buttons. The pictures sortlist.bmp (one phase) and sortdirect.bmp (two phases) are used for this menu.

All other buttons of the "skin" can be set according to common described above rules. The file buttons.ini should include their descriptions. The number of additional buttons, their placement, commands and outlooks are set by the author of the "skin".

The "Input Box"

There can be only one "Input Box". The parameters are described in the file skin.ini, section [inputbox].

Here is an example of the "Input Box" description:

[inputbox]
parent=P_top
top=5
right=30
width=190
height=13
color=$99784C
fontcolor=15132390

Such values as top and right are the coordinates of the object's upper left corner on the parental panel. Instead of top= and right= you can use such parameters as bottom= and left=. In this case the coordinates of the button will begin from the corresponding edges of the parental panel.

The parameter parent= can set the parental panel on which the "Input Box" is placed. As the parameter's value you can use any panel's name (P_top, P _left, P_right, P_bottom, P_niz, P_vertical, P_subtop, P_main). Such parameters as color= and fontcolor= set the background color and the font color. The parameters width= and height= set the width and the height of the "Input Box".

The documents' switcher (Taskbar)

The documents' switcher is always placed in the panel p_niz. The values are set in the file skin.ini, section [taskbar].

Here's an example of description:

[taskbar]
top=1
left=20
right=40
height=18
taskbarcolor=$3a3a3a

The values top and left are the coordinates of the upper left corner. The value right= is the object's right side coordinate. The value height= sets the object's height.

You can hide taskbar by adding “taskbar” word in hide= string of [panels] section.

All settings of the "Taskbar" can be also set in the Options/Skin Extras window .

The standard toolbar

The standard toolbar is always placed in the panel p_top. The values are set in the file skin.ini, section [toolbar]. This bar contains only menus and some most important buttons. Toolbar is hiden in most skins because this bar is not good customizable. You can see example of "standard toolbar" in the "Black" skin.

Toolbar buttons use only one icon for all the three phases of the show (normal, highlighted, pressed).

Their filenames are:

For HTML viewer: but_htm.bmp (6 icons in a row).
For Text editor: but_text.bmp (8 icons in a row).
For Image viewer: but_image.bmp (3 icons in a row).

Toolbar also uses the following additional BMP files to depict the buttons of the menu File, Edit, Image: tb_file.bmp, tb_edit.bmp, tb_image.bmp.

The Info Panel

"Info Panel" is a text string with a filename of current file and (for images only) dimension and scale factor. All settings of the "Info Panel" can be set in the Options/Skin Extras. window

Other settings

The skin's author can make his own about.adesk file including the information about his skin and place it in the skin's folder. This file can be activated by the command aboutskin given in any button.

All other settings of the "skin" (color, font, icon's size, list of hiden panels, positions of taskbar/toolbar/inputbox/info panel ) can be set in the windows Options/FileBrowser and Options/Skin Extras. The parameters are saved in the file skin.ini.


Internal commands

Every element of Alteros interface has its own execution command. File name or directory name can be used as a command (absolute and relative references are allowed, for example: ../../picture.bmp), as well as Alteros internal commands. Alteros Internal commands are used in the desktops (ADESK files) and in the skin elements.

The list of internal commands:

about - shows About window;

aboutskin - shows about.adesk file from the current skin directory;

register - shows Register window;

back - shows the previous file from history list;;

forward - shows the next file from history list;

newview <filename> - shows the file in the new panel;

view <filename> - shows the file in the current panel;

open <filename> - open the file or program;

home - shows Autostart file;

close - closes the program;

max - maximises Alteros window;

min - minimises Alteros window;

options - shows Options window;

mainmenu - shows the main menu;

openmenu - shows the menu of associated editors;

top - shows Top Level in the file browser;

desktop - shows Windows Desktop directory in the file browser;

favorites - shows Favorites Folders list in the file browser;

history - shows History list in the file browser;

personal - shows My Documents directory in the file browser;

programs - shows Programs directory in the file browser;

internet - shows Internet Favorites directory in the file browser;

control - shows Control Panel in the file browser;

newdesktop - create new ADESK file;

newpanel - creates new empty panel for document view;

closepanel - close current file;

newtext - creates new text document;

fullscreen - opens document in "fullscreen" window;

showhide <panel> - shows or hides the panel;

List of panels:

p_top
p_left
p_right
p_bottom
p_niz
p_vertical
p_filename
p_drives
p_main

showhidethumb - shows or hides the thumbnails;

showhidetree - shows or hides the directory tree in filebrowser

language <language name> - changes the default language of interface;

skin <skin name> - changes the current skin;

Internal commands of graphic toolpanel (the commands correspond to commands of toolbars and menu):

graphic_file
graphic_edit
graphic_image
graphic_zoomin
graphic_zoomout
graphic_fit
graphic_origin
graphic_gray
graphic_invert
graphic_color
graphic_resize
graphic_rotleft
graphic_rotright
graphic_fliphor
graphic_flipvert
graphic_rtob
graphic_btog
graphic_ gtor
graphic_selector
graphic_zoomer
graphic_slideshow
graphic_fitmode
graphic_switchdragmode switch graphic cursor modes by one button.

Internal commands of 3D toolpanel (the commands correspond to commands of toolbars and menu):

3d_file
3d_edit
3d_image
3d_render_1
3d_render_2
3d_render_3
3d_render_4
3d_render_5
3d_render_6
3d_render_7
3d_render_8
3d_light_1
3d_light_2
3d_light_3
3d_light_4
3d_light_5
3d_light_6
3d_light_7
3d_light_0
3d_light_file
3d_light_specular
3d_light_eye
3d_grid_0
3d_grid_1
3d_grid_2
3d_grid_3
3d_material_default
3d_material_transparent
3d_material_textures
3d_scene_hidgeometry
3d_scene_axis
3d_scene_cameras
3d_scene_bound
3d_scene_fog
3d_scene_vertexes

Internal commands of HTML toolpanel (the commands correspond to commands of toolbars and menu):

htm_back
htm_forward
htm_stop
htm_refresh
htm_home
htm_edit

Internal commands of text toolpanel (the commands correspond to commands of toolbars and menu):

text_file
text_edit
text_bold
text_underline
text_italic
text_right
text_left
text_center
text_color
text_font
text_size

Internal commands of ADESK toolpanel:

adesk_file


About

Alteros 3D is a product of Lighttek Software.

If you have access to the Internet, be sure to visit Alteros 3D homepage. You can download the latest versions and updates of Alteros 3D as well as some other programs and skins for Alteros 3D.

URL: http://www.lighttek.com

E-mail address for information, feedback, suggestions, bug reports, support etc: support@lighttek.com


Registration

The registration fee for Alteros 3D is $29.95 US.

For your convenience and protection, we provide the following secure methods of registration:

Online registration

Telephone and Fax

Paying by Check via Postal Mail

Paying by Cash via Postal Mail

Bank/wire transfer

See also:

Alteros 3D order form

Licensing agreement

How to unlock the software


Bank wire transfer

ShareIt registration server:

Registration form URL: https://secure.element5.com/register.html?productid=139286&language=English

(select Bank/wire transfer option in the "Payment Options" box )

  • In order to avoid fees on international bank transfers, we offer the option of transferring the order amount to an account in Germany, France, or the UK.

  • You will receive the bank account information by e-mail after your order is submitted.

  • Your order will be shipped as soon as payment is credited to our account.


Cash

Paying by Cash via Postal Mail

ShareIt registration server:

Registration form URL: https://secure.element5.com/register.html?productid=139286&language=English

(select Cash option in the "Payment Options" box )

  • You will receive notification of our postal address by e-mail after your order is submitted.

  • Your order will be shipped as soon as payment is received.


Check&Mail

Paying by Check via Postal Mail

ShareIt registration server:

Registration form URL: https://secure.element5.com/register.html?productid=139286&language=English

(select Check option in the "Payment Options" box )

  • We accept bank transfers from US banks and checks drawn on US banks from our US customers. Canadian checks are not accepted unless they are drawn on a US-Dollar account.

  • We ask that customers outside of the USA send only guaranteed bank checks such as Money Orders or Cashier's Checks.

  • Detailed information will be provided to you by e-mail after your order is submitted.

  • Your order will be shipped as soon as payment is received.

RegNow registration server:

You should make checks payable to Universal Commerce, Inc.,

including the product's ID (1333-6) on the "memo" of the check.

All order information except credit card information should be included in the Order Form mail to:

Universal Commerce, Inc.
ATTN Orders
PO Box 1816 Issaquah, WA 98027
USA

You should include an additional $2.50 per order for Mail orders.


How to unlock the software

One you have registered Alteros 3D , you will receive a registration code that you can use to unlock the software:

1. Bring up the Registration Dialog selecting Register command from the Help submenu of main menu of Alteros 3D.
2. Enter your name and code in the registration dialog.
3. Click on Register! button.

If you entered your name and registration code correctly, you will be thanked and the software will unlock itself. Otherwise you will have to try again.


Licensing agreement

This user license agreement (the AGREEMENT) is an agreement between you (individual or single entity) and Lighttek Software, for the Alteros 3D program (the SOFTWARE) that is accompanying this AGREEMENT.

The SOFTWARE is the property of Lighttek Software and is protected by copyright laws and international copyright treaties. The SOFTWARE is not sold, it is licensed.

LICENSED VERSION

The LICENSED VERSION means a Registered Shareware Version (using your personal registration number) or an original fully working version of the SOFTWARE. If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follow:

YOU MAY:

1. Install and use one copy of the SOFTWARE on a single computer.

2. Install a second copy of the SOFTWARE on a second computer only if you are the main user of this computer (home computer or laptop for example).

3. Install the SOFTWARE on another computer only if you change of main workstation. In such a case you must uninstall the software from the old computer.

4. Use the SOFTWARE via a network, only if you have purchased an adequate number of licenses. The number of users must not exceed the number of licenses you have purchased.

5. Make a copy of the SOFTWARE for archival purposes only.

YOU MAY NOT:

1. Copy and distribute the SOFTWARE or any portion of it.

2. Sublicense, rent, lease or transfer your personal registering number.

3. Sublicense, rent or lease the SOFTWARE or any portion of it.

4. Decompile, disassemble, reverse engineer or modify the SOFTWARE or any portion of it.

5. Copy the documentation accompanying the SOFTWARE.

WARRANTY DISCLAIMER

The SOFTWARE is supplied "AS IS". Lighttek Software disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using this SOFTWARE.

DISCLAIMER OF DAMAGES

Lighttek Software assumes no liability for damages, direct or consequential, which may result from the use of this SOFTWARE, even if Lighttek Software has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


Online registration

Registering by Internet

The simplest way to register, is by registering online with a major credit card through a secure server. Point your browser to the following URL and follow instructions onscreen:

ShareIt registration server:

Registration form URL: https://secure.element5.com/register.html?productid=139286&language=English

We use SSL (Secure Socket Layer) encryption technology to transfer your data securely. Our encryption is certified by VeriSign.

Credit card

  • We accept Visa, MasterCard/Eurocard, American Express, and Diners Club.

  • When you pay by credit card, your order will be processed immediately. Postal mail shipments are initiated immediately. Products available electronically are generally ready for download immediately, or no more than 48 hours after you place your order.

Switch/Solo

  • We accept debit cards from Switch and Solo (UK).

  • When you pay by debit card, your order will be processed immediately. Postal mail shipments are initiated immediately. Products available electronically are generally ready for download immediately, or no more than 48 hours after you place your order.

RegNow registration server:

https://www.regnow.com/softsell/nph-softsell.cgi?item=1333-6


Order form

RegNow Order form

Product name Alteros 3D

Product ID 1333-6

Unit Quantity: ______

Price ($U.S.) $29.95

TOTAL AMOUNT ($U.S.) __________

Payment Information:

First Name: _____________________________________________

Last Name: _____________________________________________

Company: ______________________________________________

Street Address: _________________________________________

_______________________________________________________

City: ________________________________________________

State/Province: __________________________________________

Zip/Postal Code: ________________________________________

Country: _______________________________________________

Daytime Phone: _________________________________________

Fax: ___________________________________________________

Email Address: _________________________________________

Payment:

___ MasterCard ___ VISA ___ AMEX ___ Discover

___ Check ___ Money order

For credit card orders:

Name on Card: _________________________________________

Credit Card Number: ____________________________________

Expiration Date:

month ________________ year (4 digits) _________________

Signature : ____________________ Date: _________________


Telephone registration

Telephone and Fax orders

RegNow registration server:

These types of orders should include ALL information contained on the Order Form.

Telephone

Toll Free: 877-353-7297
Regular: 425-392-2294

Fax

Toll Free: 888-353-7276
Regular: 425-392-0223

You should include an additional $2.50 per order for Fax Orders or $3 for Telephone orders.